<mat-grid-list cols="1" rowHeight="fit">
    <mat-grid-tile>
        <div class="form-register">
            <h3 class="header-text">REGISTER</h3>
            <form style="margin-left: 1em" [formGroup]="form" #studentReqForm="ngForm" (submit)="submit()">
                <mat-form-field class="full-width" color="warn">
                    <input matInput placeholder="Email as Username" formControlName="studentEmail">
                    <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>
                <table class="full-width" cellspacing="0">
                    <tr>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="First name" formControlName="studentFirstname" required>
                            </mat-form-field>
                        </td>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Surname" formControlName="studentSurname" required>
                            </mat-form-field>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Birthdate" formControlName="studentDob" required #spy>
                            </mat-form-field>
                        </td>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Student Id" formControlName="studentId" required #spy>
                            </mat-form-field>
                        </td>
                    </tr>
                </table>
                <mat-form-field hintLabel="will change to the image uploader component later" class="full-width">
                    <input matInput placeholder="Image" formControlName="studentImage" required>
                </mat-form-field>
                <table>
                    <tr>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Password" formControlName="studentPassword" [type]="hide ? 'text' : 'password'" required>
                                <mat-error *ngIf="form.hasError('required', 'password')">
                                    Please enter your new password
                                </mat-error>
                                <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                              </button>
                            </mat-form-field>
                        </td>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Confirm password" formControlName="studentConfirmpassword" [type]="hide ? 'text' : 'password'" [errorStateMatcher]="matcher" required>
                                <mat-error *ngIf="form.hasError('notSame')">
                                    Passwords do not match
                                </mat-error>
                            </mat-form-field>
                        </td>
                    </tr>
                </table>
                <div class="btn-regis">
                    <button mat-raised-button [routerLink]="['/login']" >Back</button>    
                    <button id="submit" mat-raised-button color="primary" type="submit" [disabled]="!form.valid">Register</button> 
                </div>
            </form>
        </div>
    </mat-grid-tile>
</mat-grid-list>